<?php
include 'header.php';
include 'config.php';

// insertion logic

if (isset($_POST['submit'])) {
    $allSuccessful = true;

    // Get the Subject names
    $categorynames = $_POST['subjectname'];
    $categorymarks = $_POST['marks'];

    // Check for duplicate Subject names
    $uniqueCategoryNames = array_unique($categorynames);
    if (count($categorynames) !== count($uniqueCategoryNames)) {
        echo '<script>
            alert("Duplicate subjects names are not allowed!");
            window.location.href = "add-subject.php";
        </script>';
        exit;
    }

    for ($i = 0; $i < count($categorynames); $i++) {
        $sql = "INSERT INTO subjects (subjectname , marks , dt) VALUES (?, ?, NOW())";
        $stmt = $db->prepare($sql);

        if ($stmt) {
            $stmt->bind_param("ss", $categorynames[$i], $categorymarks[$i]);
            if ($stmt->execute()) {
            } else {
                $allSuccessful = false;
            }
        } else {
            $allSuccessful = false;
        }
    }

    if ($allSuccessful) {
        echo '<script>
            alert("All subjects added successfully!");
            window.location.href = "add-subject.php";
        </script>';
    } else {
        echo '<script>
            alert("Some subjects could not be added. Please check your inputs.");
            window.location.href = "add-subject.php";
        </script>';
    }
}



// Check if we're deleting a Subject
if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['delete']) && isset($_GET['id'])) {
    $idToDelete = $_GET['id'];


    $stmt = $db->prepare("DELETE FROM subjects WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);

    if ($stmt->execute()) {
        // Subject deleted successfully, trigger SweetAlert
        echo '<script>
            alert( "Subject have been deleted successfully!")
                window.location.href = "add-subject.php";
        </script>';
    } else {
        // Error occurred, show error message
        echo '<script>
            alert("Error deleting Subject.")
                window.location.href = "add-subject.php";
        </script>';
    }

    $stmt->close();
}
// Update Logic
if (isset($_POST['updateFilmBtn'])) {
    $idEdID = $_POST['id'];
    $subjectname = mysqli_real_escape_string($db, $_POST['subjectname']);
    $marks = mysqli_real_escape_string($db, $_POST['marks']);


    $storyId = mysqli_real_escape_string($db, $idEdID);


    $updateSql = "UPDATE subjects SET subjectname = ?, marks = ? WHERE id = ?";
    $stmt = mysqli_prepare($db, $updateSql);

    if ($stmt) {
        mysqli_stmt_bind_param($stmt, "ssi", $subjectname, $marks, $storyId);
        if (mysqli_stmt_execute($stmt)) {
            echo '<script>
                  alert("Subject has been updated successfully.");
                  setTimeout(function() {
                      window.location.href = "add-subject.php";
                  }, 100); 
              </script>';
            exit();
        } else {
            echo '<script>
                  alert("Error updating the Subject in the database.");
                  setTimeout(function() {
                      window.location.href = "add-subject.php";
                  }, 100); 
              </script>';
            exit();
        }
    } else {
        echo '<script>
              alert("Error preparing the update statement.");
              setTimeout(function() {
                  window.location.href = "add-subject.php";
              }, 100); 
          </script>';
        exit();
    }
}
?>
<div class="content-wrapper">
    <?php
    if (isset($_GET['idEdit']) && !empty($_GET['idEdit'])) {
        $idEdit = $_GET['idEdit'];

        $filmId = mysqli_real_escape_string($db, $idEdit);
        $sql = "SELECT * FROM subjects WHERE id = $filmId";
        $result = mysqli_query($db, $sql);

        if ($result && mysqli_num_rows($result) > 0) {
            $getFilmEdit = mysqli_fetch_assoc($result);
        }
        ?>
        <div class="card mb-4 m-5">

            <div class="card-header d-flex justify-content-center align-items-center">
                <h5 class="mb-0">Update Subjects</h5>
            </div>
            <div class="card-body">

                <form action="" method="post">
                    <input type="hidden" name="id" value="<?php echo $getFilmEdit['id']; ?>">
                    <div class="row">

                        <div class="col-md-4">
                            <div class="mb-3">
                                <label class="form-label" for="basic-icon-default-fullname">Subject Name</label>
                                <div class="input-group input-group-merge">

                                    <input type="text" class="form-control" id="basic-icon-default-fullname"
                                        name="subjectname" value="<?php echo $getFilmEdit['subjectname']; ?>" />

                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="mb-3">
                                <label class="form-label" for="basic-icon-default-company">Marks</label>
                                <input type="text" id="basic-icon-default-company" class="form-control" name="marks"
                                    value="<?php echo $getFilmEdit['marks']; ?>" />

                            </div>
                        </div>
                        <div class="col-md-4">
                            <button type="submit" name="updateFilmBtn" class="btn btn-info mt-4"><i
                                    class="fa fa-floppy-o"></i> Update</button>
                        </div>


                    </div>

                </form>
            </div>
        </div>
    <?php } else { ?>
        <div class="col-xl">
            <div class="col-5 my-2">
                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#createCategoryModal">
                    Add Subjects
                </button>
            </div>

            <!-- Modal -->
            <div class="modal fade" id="createCategoryModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
                aria-hidden="true">
                <div class="modal-dialog modal-lg" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel">Create Subject</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>

                        <!-- Modal Body -->
                        <div class="modal-body">
                            <form action="" method="post" enctype="multipart/form-data">
                                <div class="row">

                                    <div class="mb-3 col-md-5">
                                        <label class="form-label" for="basic-icon-default-fullname">Subject Name</label>
                                        <div class="input-group input-group-merge">
                                            <input type="text" class="form-control" placeholder="Subject Name"
                                                name="subjectname[]" required />
                                        </div>
                                    </div>
                                    <div class="mb-3 col-md-5">
                                        <label class="form-label" for="basic-icon-default-fullname">Subject Marks</label>
                                        <div class="input-group input-group-merge">
                                            <input type="number" class="form-control" placeholder="Subject Marks"
                                                name="marks[]" required />
                                        </div>
                                    </div>
                                    <div class="col-md-2 d-flex align-items-center mt-3">
                                        <button type="button" class="btn btn-success btn-sm add-input-row"
                                            data-toggle="tooltip" data-placement="top" title="Add Row">
                                            <i class="bi bi-plus-circle"></i> Add Row
                                        </button>
                                    </div>
                                </div>

                                <div id="additional-rows">

                                </div>
                                <div class="col-12 text-center mt-3">
                                    <button name="submit" type="submit" class="btn btn-primary">Submit</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>


            <div class="table-responsive">

                <table id="example" class="table table-striped table-bordered">
                    <thead>
                        <tr>
                            <th>S.No.</th>
                            <th>Subject</th>
                            <th>Marks</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        $iiDD = 1;
                        $sql = "SELECT * FROM subjects ORDER BY id DESC";
                        $result = mysqli_query($db, $sql);

                        if (mysqli_num_rows($result) > 0) {
                            $getAllTeamMembers = mysqli_fetch_all($result, MYSQLI_ASSOC);

                            foreach ($getAllTeamMembers as $key => $values) {
                                ?>
                                <tr>
                                    <td>
                                        <?php echo $iiDD++; ?>
                                    </td>
                                    <td>
                                        <?php echo $values['subjectname']; ?>
                                    </td>
                                    <td>
                                        <?php echo $values['marks']; ?>
                                    </td>
                                    <td>
                                        <a href="add-subject.php?idEdit=<?php echo $values['id']; ?>"
                                            class="dropdown-item btn btn-warning" title="Update"><i
                                                class="bx bx-edit-alt me-1"></i>Edit</a>
                                        <a class="dropdown-item deleteitems btn-danger"
                                            href="add-subject.php?id=<?php echo $values['id']; ?>&delete=true" title="Delete"><i
                                                class="bx bx-trash me-1"></i> Delete</a>
                                    </td>

                                </tr>
                                <?php
                            }
                        } else {
                            echo '<tr><td colspan="5">No Category found.</td></tr>';
                        }
                        ?>
                    </tbody>
                </table>
            </div>
        </div>
    <?php } ?>
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script>
        $(document).ready(function () {
            // Initialize the tooltip
            $('[data-toggle="tooltip"]').tooltip();

            // Function to add a new input row
            function addInputRow() {
                const newRow = `
                <div class="row mt-3">
                    <div class="mb-3 col-md-5">
                        <input type="text" class="form-control" placeholder="Subject Name" name="subjectname[]" />
                    </div>
                    <div class="mb-3 col-md-5">
                        <input type="number" class="form-control" placeholder="Subject Marks" name="marks[]" />
                    </div>
                </div>
            `;
                $("#additional-rows").append(newRow);
            }

            $(".add-input-row").click(function () {
                addInputRow();
            });
        });

        const deleteItems = document.querySelectorAll('.deleteitems');
        deleteItems.forEach(function (element) {
            element.addEventListener('click', function (event) {
                event.preventDefault();
                return swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this Data!",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                }).then((willDelete) => {
                    if (willDelete) {
                        window.location.href = this.getAttribute("href");
                    } else {
                        swal("Your Data is safe!");
                    }
                });
            });
        });

    </script>

    <?php include 'footer.php' ?>