<?php include 'header.php' ?>
<?php
include 'config.php';

// Insertion logic
if (isset($_POST['submit'])) {

    $name = $_POST['name'];
    $designation = $_POST['designation'];

    // File Upload Handling
    $img = $_FILES['image']['name'];

    // Insert data into the database
    $sql = "INSERT INTO team (name,designation, image) VALUES (?, ?, ?)";
    $stmt = $db->prepare($sql);

    if ($stmt) {
        $stmt->bind_param("sss", $name, $designation, $img);

        if ($stmt->execute()) {
            move_uploaded_file($_FILES['image']['tmp_name'], "assets/teams/" . $_FILES['image']['name']);
            echo "<script>
                alert('New Record Has Been Successfully Added');
                window.location.href = 'add-team.php';
            </script>";

        } else {
            echo "Error executing the statement: " . $stmt->error . " SQL: " . $sql;

        }

        // Close the prepared statement
        $stmt->close();
    } else {
        echo "Error in the statement: ";
    }

}
// Deletion Logic
if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['delete']) && isset($_GET['id'])) {
    $idToDelete = $_GET['id'];

    $stmt = $db->prepare("SELECT image FROM team WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);
    $stmt->execute();
    $stmt->bind_result($imageToDelete);
    $stmt->fetch();
    $stmt->close();

    // Delete the record from the database
    $stmt = $db->prepare("DELETE FROM team WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);

    if ($stmt->execute()) {
        // Remove the image file from the folder
        $target_dir = $DOC_ROOT . "assets/teams/";
        $fileToDelete = $target_dir . $imageToDelete;

        if (file_exists($fileToDelete)) {
            unlink($fileToDelete);
        }

        echo '<script>
            alert("Record and Image have Been Successfully Deleted");
            setTimeout(function() {
              window.location.href = "add-team.php";
            }, 100); 
          </script>';
    } else {
        echo "Error deleting record: " . $stmt->error;
    }

    $stmt->close();
}
// Update Logic
if (isset($_POST['updateFilmBtn'])) {
    $idEdID = $_POST['id'];
    $name = mysqli_real_escape_string($db, $_POST['name']);
    $designation = mysqli_real_escape_string($db, $_POST['designation']);

    $storyId = mysqli_real_escape_string($db, $idEdID);

    $target_dir = "assets/teams/";

    if (isset($_FILES['image']) && $_FILES['image']['error'] === UPLOAD_ERR_OK) {
        $tmpThumbnailPath = $_FILES['image']['tmp_name'];
        $thumbnailFilename = time() . '_' . $_FILES['image']['name'];
        $targetThumbnailFile = $target_dir . $thumbnailFilename;

        if (move_uploaded_file($tmpThumbnailPath, $targetThumbnailFile)) {
            $oldThumbnailPath = $target_dir . $oldThumbnail;
            if (file_exists($oldThumbnailPath)) {
                unlink($oldThumbnailPath);
            }

            $updateThumbnailSql = "UPDATE team SET image = ? WHERE id = ?";
            $stmtThumbnail = mysqli_prepare($db, $updateThumbnailSql);

            if ($stmtThumbnail) {
                mysqli_stmt_bind_param($stmtThumbnail, "si", $thumbnailFilename, $storyId);
                if (!mysqli_stmt_execute($stmtThumbnail)) {
                    echo '<script>
                      alert("Error updating the thumbnail in the database.");
                      setTimeout(function() {
                          window.location.href = "add-team.php";
                      }, 100); 
                  </script>';
                    exit();
                }
            } else {
                echo '<script>
                  alert("Error preparing the update statement for thumbnail.");
                  setTimeout(function() {
                      window.location.href = "add-team.php";
                  }, 100); 
              </script>';
                exit();
            }
        } else {
            echo '<script>
              alert("Error uploading the thumbnail image.");
              setTimeout(function() {
                  window.location.href = "add-team.php";
              }, 100); 
          </script>';
            exit();
        }
    }




    $updateSql = "UPDATE team SET name = ?, designation = ? WHERE id = ?";
    $stmt = mysqli_prepare($db, $updateSql);

    if ($stmt) {
        mysqli_stmt_bind_param($stmt, "ssi", $name, $designation, $storyId);
        if (mysqli_stmt_execute($stmt)) {
            echo '<script>
                  alert("Record has been updated successfully.");
                  setTimeout(function() {
                      window.location.href = "add-team.php";
                  }, 100); 
              </script>';
            exit();
        } else {
            echo '<script>
                  alert("Error updating the record in the database.");
                  setTimeout(function() {
                      window.location.href = "add-team.php";
                  }, 100); 
              </script>';
            exit();
        }
    } else {
        echo '<script>
              alert("Error preparing the update statement.");
              setTimeout(function() {
                  window.location.href = "add-team.php";
              }, 100); 
          </script>';
        exit();
    }
}
// Fetch data from the "posts" table
$query = "SELECT * FROM team";
$result = mysqli_query($db, $query);

// Check if the query was successful
if (!$result) {
    die("Query failed: " . mysqli_error($db));
}
?>
<div class="content-wrapper">
    <div class="col-xl">
    <?php
        if (isset($_GET['idEdit']) && !empty($_GET['idEdit'])) {
            $idEdit = $_GET['idEdit'];

            $filmId = mysqli_real_escape_string($db, $idEdit);
            $sql = "SELECT * FROM team WHERE id = $filmId";
            $result = mysqli_query($db, $sql);

            if ($result && mysqli_num_rows($result) > 0) {
                $getFilmEdit = mysqli_fetch_assoc($result);
            }
            ?>
            <div class="card mb-4">

                <div class="card-header d-flex justify-content-center align-items-center">
                    <h5 class="mb-0">Update Teams</h5>
                </div>
                <div class="card-body">

                    <form action="" method="post" enctype="multipart/form-data">
                        <input type="hidden" name="id" value="<?php echo $getFilmEdit['id']; ?>">
                        <div class="row">
                            <div class="col-md-8">
                                <div class="mb-3">
                                    <label for="formFile" class="form-label"> Profile Image</label>
                                    <input class="form-control" type="file" id="image" name="image" accept="image/*"
                                        accept="image/*">
                                </div>
                            </div>
                            <div class="col-sm-3">
                                <div class="form-group">
                                    <img src="assets/teams/<?php echo $getFilmEdit['image']; ?>" width='180px'>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-fullname">Full Name</label>
                                    <div class="input-group input-group-merge">
                                        <span id="basic-icon-default-fullname2" class="input-group-text"><i
                                                class="bx bx-user"></i></span>
                                        <input type="text" class="form-control" id="basic-icon-default-fullname" name="name"
                                            value="<?php echo $getFilmEdit['name']; ?>" />

                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-company">Designation</label>
                                    <input type="text" id="basic-icon-default-company" class="form-control"
                                        name="designation" value="<?php echo $getFilmEdit['designation']; ?>" />

                                </div>
                            </div>
                        </div>

                        <div class="card-footer">
                            <button type="submit" name="updateFilmBtn" class="btn btn-info float-right"><i
                                    class="fa fa-floppy-o"></i> Update</button>
                            <a href="add-team.php" class="btn btn-default"><i class="fa fa-refresh"></i> Reset</a>
                        </div>
                    </form>
                </div>
            </div>
        <?php } else { ?>
        <div class="card mb-4">
            <h4 class="p-3 mb-4">
                <span class="text-muted fw-light">Home/</span> Add Team
            </h4>
            <div class="card-body">
                <form action="add-team.php" method="post" enctype="multipart/form-data">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label class="form-label" for="basic-icon-default-fullname">Full Name</label>
                                <div class="input-group input-group-merge">

                                    <input type="text" class="form-control" id="basic-icon-default-fullname"
                                        placeholder="John Doe" aria-label="John Doe"
                                        aria-describedby="basic-icon-default-fullname2" name="name" required />
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label class="form-label" for="basic-icon-default-fullname">Designation</label>
                                <div class="input-group input-group-merge">

                                    <input type="text" class="form-control" id="basic-icon-default-fullname"
                                        placeholder="Designation" aria-label="Designation"
                                        aria-describedby="basic-icon-default-fullname2" name="designation" required
                                        maxlength="200" />
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="mb-3">
                        <label for="formFile" class="form-label">Profile Image</label>
                        <input class="form-control" type="file" id="image" name="image" onchange="galleryImage(this)"
                            accept="image/*">
                    </div>
                    <div class="col-sm-3">
                        <div class="form-group">
                            <label>Uploaded Image</label>
                            <img id="gall_img" src="" style="width:180px;">
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary" name="submit">Submit</button>
                </form>

            </div>
        </div>
        <div class="table-responsive">

            <table id="example" class="table table-striped table-bordered">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Team Image</th>
                        <th>Name</th>
                        <th>Designation</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $increment = 1;
                    foreach ($result as $row) { ?>
                        <tr>
                            <td>
                                <?php echo $increment; ?>
                            </td>
                            <td>
                                <?php
                                $imagePath = "assets/testimonialimages/" . $row['image'];

                                if (!empty($row['image']) && file_exists($imagePath)) {

                                    echo '<img src="' . $imagePath . '" alt="' . $row['name'] . '" style="width:20px;height:20px;border-radius:50%;">';
                                } else {

                                    echo '<img src="../assets/images/user.png" alt="' . $row['name'] . '" style="width:50px;height:50px;border-radius:50%;">';
                                }
                                ?>

                            </td>
                            <td>
                                <?php echo $row['name']; ?>
                            </td>
                            <td>
                                <?php echo $row['designation']; ?>
                            </td>

                            <td>
                                <div class="dropdown">
                                    <button type="button" class="btn p-0 dropdown-toggle hide-arrow"
                                        data-bs-toggle="dropdown"><i class="bx bx-dots-vertical-rounded"></i></button>
                                    <div class="dropdown-menu">
                                    <a href="add-team.php?idEdit=<?php echo $row['id']; ?>" class="dropdown-item"
                                                title="Update"><i class="bx bx-edit-alt me-1"></i>Edit</a>
                                        <a class="dropdown-item"
                                            href="add-team.php?id=<?php echo $row['id']; ?>&delete=true" title="Delete"
                                            id="deleteitems"><i class="bx bx-trash me-1"></i> Delete</a>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <?php $increment++;
                    } ?>
                </tbody>
            </table>
        </div>
        <?php } ?>
    </div>
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script type="text/javascript">
        function galleryImage(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#gall_img').attr('src', e.target.result);
                };
                reader.readAsDataURL(input.files[0]);
            }
        }
        document.getElementById('image').addEventListener('change', function () {
            var fileInput = this;
            var maxSize = 5 * 1024 * 1024; // 5MB

            if (fileInput.files.length > 0) {
                var file = fileInput.files[0];
                if (file.size > maxSize) {
                    alert('Image size exceeds 5MB. Please choose a smaller image.');
                    fileInput.value = '';
                }
            }
        });
        document.getElementById('deleteitems').addEventListener('click', function (event) {
            event.preventDefault();
            return swal({
                title: "Are you sure?",
                text: "Once deleted, you will not be able to recover this Data!",
                icon: "warning",
                buttons: true,
                dangerMode: true,
            }).then((willDelete) => {
                if (willDelete) {
                    window.location.href = this.getAttribute("href");
                } else {
                    swal("Your Data is safe!");
                }
            });
        });
    </script>

    <?php include 'footer.php' ?>