<?php

include 'header.php';
include 'config.php';
$sql = "SELECT * FROM advertisement";
$result = mysqli_query($db, $sql);

if (mysqli_num_rows($result) > 0) {
    $getAllSlider = mysqli_fetch_all($result, MYSQLI_ASSOC);
} else {
    $getAllSlider = array();
}

// Insertion logic
if (isset($_POST['addproductbtn'])) {

    $title = mysqli_real_escape_string($db, $_POST['title']);
    $link = mysqli_real_escape_string($db, $_POST['link']);
    $img = $_FILES['description']['name'];

    $added_on = date("Y-m-d H:i:s");

    // Check if a row already exists in the advertisement table
    $checkSql = "SELECT COUNT(*) FROM advertisement";
    $checkResult = mysqli_query($db, $checkSql);

    if (!$checkResult) {
        echo '<script>
                alert("Error checking existing records.");
                window.location.href = "advertisement-popup.php";
            </script>';
        exit();
    }

    $existingCount = mysqli_fetch_row($checkResult)[0];

    if ($existingCount == 0) {
        // Use prepared statement to prevent SQL injection
        $insertQuery = "INSERT INTO advertisement (title, description,link, added_on) VALUES (?, ? , ? , ?)";
        $stmtInsert = mysqli_prepare($db, $insertQuery);

        if ($stmtInsert) {
            mysqli_stmt_bind_param($stmtInsert, "ssss", $title, $img,$link, $added_on);

            if (mysqli_stmt_execute($stmtInsert)) {
                move_uploaded_file($_FILES['description']['tmp_name'], "assets/advertisement/" . $img);

                echo '<script>
                        alert("Advertisement Successfully added.");
                        window.location.href = "advertisement-popup.php";
                    </script>';
            } else {
                echo '<script>
                        alert("Something went wrong while inserting the record.");
                        window.location.href = "advertisement-popup.php";
                    </script>';
            }

            mysqli_stmt_close($stmtInsert);
        } else {
            echo '<script>
                    alert("Error preparing the insert statement.");
                    window.location.href = "advertisement-popup.php";
                </script>';
        }

    } else {
        echo '<script>
                alert("You can update the information.");
            </script>';
    }
}


// Update Logic
if (isset($_POST['updateproductbtn'])) {
    $idEdID = $_POST['id'];
    if (!is_numeric($idEdID)) {
        echo '<script>
          alert("Invalid product ID.");
          setTimeout(function() {
              window.location.href = "advertisement-popup.php";
          }, 100); 
      </script>';
        exit();
    }

    $productId = mysqli_real_escape_string($db, $idEdID);
    $sql = "SELECT * FROM advertisement WHERE id = $productId";
    $result = mysqli_query($db, $sql);

    if ($result && mysqli_num_rows($result) > 0) {
        $getProductEdit = mysqli_fetch_assoc($result);
    } else {
        echo '<script>
          alert("Product record not found.");
          setTimeout(function() {
              window.location.href = "advertisement-popup.php";
          }, 100); 
      </script>';
        exit();
    }

    $target_dir = "assets/advertisement/";
    $title = mysqli_real_escape_string($db, $_POST['title']);
    $link = mysqli_real_escape_string($db, $_POST['link']);

    // Handle Thumbnail Update
    if (isset($_FILES['description']) && $_FILES['description']['error'] === UPLOAD_ERR_OK) {
        $tmpThumbnailPath = $_FILES['description']['tmp_name'];
        $thumbnailFilename = time() . '_' . $_FILES['description']['name'];
        $targetThumbnailFile = $target_dir . $thumbnailFilename;

        // Remove the old thumbnail
        $oldThumbnailPath = $target_dir . $getProductEdit['description'];
        if (file_exists($oldThumbnailPath)) {
            unlink($oldThumbnailPath);
        }

        // Update thumbnail in the database
        $updateThumbnailSql = "UPDATE advertisement SET description = ? WHERE id = ?";
        $stmtThumbnail = mysqli_prepare($db, $updateThumbnailSql);

        if ($stmtThumbnail) {
            mysqli_stmt_bind_param($stmtThumbnail, "si", $thumbnailFilename, $productId);
            if (!mysqli_stmt_execute($stmtThumbnail)) {
                echo '<script>
                  alert("Error updating the thumbnail in the database.");
                  setTimeout(function() {
                      window.location.href = "advertisement-popup.php";
                  }, 100); 
              </script>';
                exit();
            }
        } else {
            echo '<script>
              alert("Error preparing the update statement for thumbnail.");
              setTimeout(function() {
                  window.location.href = "advertisement-popup.php";
              }, 100); 
          </script>';
            exit();
        }

        // Move the new thumbnail to the target directory
        if (!move_uploaded_file($tmpThumbnailPath, $targetThumbnailFile)) {
            echo '<script>
              alert("Error uploading the thumbnail image.");
              setTimeout(function() {
                  window.location.href = "advertisement-popup.php";
              }, 100); 
          </script>';
            exit();
        }
    }

    // Update Title in the database
    $updateQuery = "UPDATE advertisement SET title = '$title', link = '$link' WHERE id = $productId";

    if (mysqli_query($db, $updateQuery)) {
        echo '<script>
          alert("Record has been updated successfully.");
          setTimeout(function() {
              window.location.href = "advertisement-popup.php";
          }, 100); 
      </script>';
        exit();
    } else {
        echo '<script>
          alert("Something went wrong while updating the record.");
          setTimeout(function() {
              window.location.href = "advertisement-popup.php";
          }, 100); 
      </script>';
        exit();
    }
}


?>
<!-- Content wrapper -->
<div class="content-wrapper">
    <!-- Content -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <?php
                if (isset($_GET['idEdit']) && !empty($_GET['idEdit'])) {
                    $idEdit = $_GET['idEdit'];

                    $filmId = mysqli_real_escape_string($db, $idEdit);
                    $sql = "SELECT * FROM advertisement WHERE id = $filmId";
                    $result = mysqli_query($db, $sql);

                    if ($result && mysqli_num_rows($result) > 0) {
                        $getFilmEdit = mysqli_fetch_assoc($result);
                    }
                    ?>

                    <div class="card card-primary card-outline">
                        <div class="card-header" data-card-widget="collapse">
                            <h3 class="card-title">Update Advertisement</h3>

                            <div class="card-tools">
                                <button type="button" class="btn btn-tool">
                                    <i class="fas fa-plus"></i>
                                </button>
                            </div>
                        </div>
                        <div class="card-body p-4" style="display: block;">
                            <form action="advertisement-popup.php" method="post" enctype="multipart/form-data">
                                <input type="hidden" name="id" value="<?php echo $getFilmEdit['id']; ?>" required>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Title</label>
                                            <div class="input-group input-group-merge">

                                                <input type="text" class="form-control" name="title"
                                                    value="<?php echo $getFilmEdit['title']; ?>" />
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label for="formFile" class="form-label"> Description Image</label>
                                            <input class="form-control" type="file" id="image" name="description"
                                                accept="image/*" accept="image/*">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>LINK</label>
                                                    <div class="input-group input-group-merge">

                                                        <input type="text" class="form-control" name="link" value="<?php echo $getFilmEdit['link']; ?>" />
                                                    </div>
                                                </div>
                                            </div>
                                </div>
                                <div class="col-sm-3">
                                    <div class="form-group">
                                        <img src="assets/advertisement/<?php echo $getFilmEdit['description']; ?>"
                                            width='180px'>
                                    </div>
                                </div>
                                <div class="card-footer">
                                    <button type="submit" name="updateproductbtn" class="btn btn-info float-right"><i
                                            class="fa fa-floppy-o"></i> Update</button>
                                    <a href="advertisement-popup.php" class="btn btn-default"><i class="fa fa-refresh"></i>
                                        Reset</a>
                                </div>
                            </form>

                        </div>
                    <?php } else { ?>
                        <div class="container-fluid">
                            <div class="card card-primary card-outline">
                                <div class="card-header" data-card-widget="collapse">
                                    <h3 class="card-title">Manage Advertisement</h3>

                                </div>
                                <div class="card-body p-4" style="display: block;">
                                    <form action="advertisement-popup.php" method="post" enctype="multipart/form-data">
                                        <div class="row">


                                            <div class="col-md-6 mt-3">
                                                <div class="form-group">
                                                    <label>Title</label>
                                                    <div class="input-group input-group-merge">

                                                        <input type="text" class="form-control" name="title" required />
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6 mt-3">
                                                <div class="form-group">
                                                    <label>Page Description</label>
                                                    <input type="file" class="form-control" name="description" required />

                                                </div>
                                            </div>

                                            <div class="col-md-6 mt-3">
                                                <div class="form-group">
                                                    <label>LINK</label>
                                                    <div class="input-group input-group-merge">

                                                        <input type="text" class="form-control" name="link" required />
                                                    </div>
                                                </div>
                                            </div>


                                        </div>
                                        <div class="card-footer">
                                            <button type="submit" name="addproductbtn" class="btn btn-info float-right"><i
                                                    class="fa fa-floppy-o">
                                                </i> Save</button>
                                        </div>
                                    </form>

                                </div>
                            </div>

                            <div class="container-fluid pt-4">



                                <div class="card card-primary card-outline">
                                    <div class="card-header">
                                        <h3 class="card-title">View Advertisement </h3>
                                    </div>
                                    <form action="" method="post" enctype="multipart/form-data">
                                        <div class="card-body table-responsive p-0" style="min-height: 300px;">
                                            <table class="table table-head-fixed text-nowrap">
                                                <thead>
                                                    <tr>
                                                        <th>#</th>
                                                        <th>Description Image</th>
                                                        <th>Title</th>
                                                        <th>Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php $iiDD = 1;
                                                    foreach ($getAllSlider as $key => $values) { ?>
                                                        <tr>
                                                            <td>
                                                                <?php echo $iiDD++; ?>
                                                            </td>
                                                            <td>
                                                                <img src="assets/advertisement/<?php echo $values['description']; ?>"
                                                                    width="80px" />



                                                            </td>
                                                            <td>
                                                                <?php echo $values['title']; ?>



                                                            </td>


                                                            <td>
                                                                <div class="dropdown">
                                                                    <button type="button"
                                                                        class="btn p-0 dropdown-toggle hide-arrow"
                                                                        data-bs-toggle="dropdown"><i
                                                                            class="bx bx-dots-vertical-rounded"></i></button>
                                                                    <div class="dropdown-menu">
                                                                        <a class="dropdown-item"
                                                                            href="advertisement-popup.php?idEdit=<?php echo $values['id']; ?>"
                                                                            title="Update"><i class="bx bx-edit-alt me-1"></i>
                                                                            Edit
                                                                        </a>

                                                                    </div>
                                                                </div>
                                                            </td>
                                                        </tr>
                                                    <?php } ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </form>
                                    <!-- /.card -->
                                </div>
                            </div>
                        <?php } ?>


                        <!-- /.col -->
                    </div>
                    <!-- /.row -->
                </div>
                <!-- / Content -->

                <?php include 'footer.php' ?>