<?php include 'header.php' ?>
<?php
include 'config.php';
$sql = "SELECT * FROM menus";
$result = mysqli_query($db, $sql);

if (mysqli_num_rows($result) > 0) {
    $getAllSlider = mysqli_fetch_all($result, MYSQLI_ASSOC);
} else {
    $getAllSlider = array();
}

// Insertion Logic
if (isset($_POST['saveSliderBtn'])) {
    $menu = ucwords($_POST['menu']);
    $submenu = ucwords($_POST['submenu']);

    $checkSql = "SELECT COUNT(*) FROM menus WHERE submenu = ?";
    $checkStmt = mysqli_prepare($db, $checkSql);
    mysqli_stmt_bind_param($checkStmt, "s", $submenu);
    mysqli_stmt_execute($checkStmt);
    mysqli_stmt_bind_result($checkStmt, $existingCount);
    mysqli_stmt_fetch($checkStmt);
    mysqli_stmt_close($checkStmt);

    if ($existingCount > 0) {
        echo '<script>alert("Duplicate submenu. Please choose a different submenu.");window.location.href="create-menu.php"</script>';
    } else {
        $sql = "INSERT INTO menus (menu, submenu, added_on) VALUES (?, ?, current_timestamp())";

        $stmt = mysqli_prepare($db, $sql);

        mysqli_stmt_bind_param($stmt, "ss", $menu, $submenu);

        if (mysqli_stmt_execute($stmt)) {
            echo '<script>alert("Menu added successfully");window.location.href="create-menu.php"</script>';
        } else {
            echo '<script>alert("Something went wrong, Please try again.");window.location.href="create-menu.php"</script>';
        }

        // Close the statement
        mysqli_stmt_close($stmt);
    }
}


// Deletion Logic
if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['delete']) && isset($_GET['id'])) {
    $idToDelete = $_GET['id'];

    $stmt = $db->prepare("DELETE FROM menus WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);

    if ($stmt->execute()) {
        echo '<script>
            alert("Menu Has Been Deleted successfully!");
            window.location.href = "create-menu.php";
        </script>';
    } else {
        echo '<script>
            alert("Error deleting Menu.");
            window.location.href = "create-menu.php";
        </script>';
    }

    $stmt->close();
}
// Update Logic
if (isset($_POST['updateFilmBtn'])) {
    $idEdID = $_POST['id'];
    $menu = mysqli_real_escape_string($db, $_POST['menu']);
    $submenu = mysqli_real_escape_string($db, $_POST['submenu']);

    $storyId = mysqli_real_escape_string($db, $idEdID);

    $updateSql = "UPDATE menus SET menu = ?, submenu = ? WHERE id = ?";
    $stmt = mysqli_prepare($db, $updateSql);

    if ($stmt) {
        mysqli_stmt_bind_param($stmt, "ssi", $menu, $submenu, $storyId);
        if (mysqli_stmt_execute($stmt)) {
            echo '<script>
                  alert("Record has been updated successfully.");
                  setTimeout(function() {
                      window.location.href = "create-menu.php";
                  }, 100); 
              </script>';
            exit();
        } else {
            echo '<script>
                  alert("Error updating the record in the database.");
                  setTimeout(function() {
                      window.location.href = "create-menu.php";
                  }, 100); 
              </script>';
            exit();
        }
    } else {
        echo '<script>
              alert("Error preparing the update statement.");
              setTimeout(function() {
                  window.location.href = "create-menu.php";
              }, 100); 
          </script>';
        exit();
    }
}
?>
<!-- Content wrapper -->
<div class="content-wrapper">
    <!-- Content -->
    <div class="container-fluid">
        <div class="row">

            <div class="col-md-12">
            <?php
        if (isset($_GET['idEdit']) && !empty($_GET['idEdit'])) {
            $idEdit = $_GET['idEdit'];

            $filmId = mysqli_real_escape_string($db, $idEdit);
            $sql = "SELECT * FROM menus WHERE id = $filmId";
            $result = mysqli_query($db, $sql);

            if ($result && mysqli_num_rows($result) > 0) {
                $getFilmEdit = mysqli_fetch_assoc($result);
            }
            ?>
            <div class="card mb-4">

                <div class="card-header d-flex justify-content-center align-items-center">
                    <h5 class="mb-0">Update Menu</h5>
                </div>
                <div class="card-body">

                    <form action="" method="post" enctype="multipart/form-data">
                        <input type="hidden" name="id" value="<?php echo $getFilmEdit['id']; ?>">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label for="formFile" class="form-label"> Select Menu</label>
                                    <select name="menu" class="form-control">
                                        <option value="About Us">About Us</option>
                                        
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-fullname">Dropdown Menu</label>
                                    <div class="input-group input-group-merge">
                                                <input type="text" class="form-control" name="submenu" value="<?php echo $getFilmEdit['submenu']; ?>">

                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card-footer">
                            <button type="submit" name="updateFilmBtn" class="btn btn-info float-right"><i
                                    class="fa fa-floppy-o"></i> Update</button>
                            <a href="create-menu.php" class="btn btn-default"><i class="fa fa-refresh"></i> Reset</a>
                        </div>
                    </form>
                </div>
            </div>
        <?php } else { ?>
                <div class="card card-primary card-outline">
                    <div class="card-header" data-card-widget="collapse">
                        <h3 class="card-title">Add Menu</h3>

                        <div class="card-tools">
                            <button type="button" class="btn btn-tool">
                                <i class="fas fa-plus"></i>
                            </button>
                        </div>
                    </div>
                    <div class="card-body p-4" style="display: block;;">
                        <form action="" method="post">

                            <div class="row">

                                <div class="form-group col-md-6">
                                    <label>Menu</label>
                                    <select name="menu" class="form-control">
                                        <option value="About Us">About Us</option>
                                        
                                    </select>

                                </div>
                                <div class="form-group col-md-6">
                                    <label>Dropdown Menu</label>
                                    <input type="text" class="form-control" name="submenu">
                                </div>


                            </div>
                    </div>
                    <div class="card-footer">
                        <button type="submit" name="saveSliderBtn" class="btn btn-info float-right"><i
                                class="fa fa-floppy-o">
                            </i> Save</button>
                        <a href="create-menu.php" class="btn btn-default"><i class="fa fa-refresh"> </i> Reset</a>
                    </div>
                    </form>
                </div>

                <div class="card card-primary card-outline">
                    <div class="card-header">
                        <h3 class="card-title">View Menus</h3>
                    </div>
                    <form action="" method="post" enctype="multipart/form-data">
                        <div class="card-body table-responsive p-0" style="min-height: 300px;">
                            <table class="table table-head-fixed text-nowrap">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Menu</th>
                                        <th>Sub Menu</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $iiDD = 1;
                                    foreach ($getAllSlider as $key => $values) { ?>
                                        <tr>
                                            <td>
                                                <?php echo $iiDD++; ?>
                                            </td>
                                            <td>
                                                <?php echo $values['menu']; ?>
                                            </td>
                                            <td>
                                                <?php echo $values['submenu']; ?>
                                            </td>



                                            <td>
                                                <div class="dropdown">
                                                    <button type="button" class="btn p-0 dropdown-toggle hide-arrow"
                                                        data-bs-toggle="dropdown"><i
                                                            class="bx bx-dots-vertical-rounded"></i></button>
                                                    <div class="dropdown-menu">

                                                        <a class="dropdown-item" href="add-page-details.php"
                                                            title="Delete"><i class='bx bx-book-content'></i> Content
                                                            manage</a>
                                                            <a href="create-menu.php?idEdit=<?php echo $values['id']; ?>" class="dropdown-item"
                                                title="Update"><i class="bx bx-edit-alt me-1"></i>Edit</a>
                                                        <a class="dropdown-item deleteitems"
                                                            href="create-menu.php?id=<?php echo $values['id']; ?>&delete=true"
                                                            title="Delete"><i class="bx bx-trash me-1"></i> Delete</a>
                                                    </div>
                                                </div>
                                            </td>

                                        </tr>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>
                    </form>
                </div>
                <?php } ?>
            </div>
        </div>
        <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
        <script>

            const deleteItems = document.querySelectorAll('.deleteitems');
            deleteItems.forEach(function (element) {
                element.addEventListener('click', function (event) {
                    event.preventDefault();
                    return swal({
                        title: "Are you sure?",
                        text: "Once deleted, you will not be able to recover this Data!",
                        icon: "warning",
                        buttons: true,
                        dangerMode: true,
                    }).then((willDelete) => {
                        if (willDelete) {
                            window.location.href = this.getAttribute("href");
                        } else {
                            swal("Your Data is safe!");
                        }
                    });
                });
            });

        </script>
        <?php include 'footer.php' ?>