<?php
include 'config.php';

// Fetch the cimage file name from the database
$stmt = $db->prepare("SELECT mimage FROM design");
$stmt->execute();
$stmt->bind_result($cimageFileName);
$stmt->fetch();
$stmt->close();

$imagePath = "assets/certificatedesign/" . $cimageFileName;

$idResult = $_GET['idresult'];

$studentQuery = "SELECT * FROM students WHERE regno = ?";
$studentStmt = $db->prepare($studentQuery);
$studentStmt->bind_param("s", $idResult);
$studentStmt->execute();
$studentStmt->bind_result($id, $regno, $name, $mobile, $altmobile, $gender, $address, $aadhar, $email, $image, $highqualification, $course, $duration, $awards, $minfees, $feesreceived, $balance, $father, $careof, $mother, $dob, $status, $dog, $abbr, $state, $city, $postcode, $coursesubject, $tmarks, $marksob, $caste, $occupation, $signature, $wpm, $dt, $ddate);

$studentStmt->fetch();

$studentStmt->close();


$resultQuery = "SELECT * FROM result WHERE studentname = ?";
$resultStmt = $db->prepare($resultQuery);
$resultStmt->bind_param("s", $idResult);
$resultStmt->execute();
$resultStmt->bind_result($id, $studentname, $dt);

$resultStmt->fetch();

$resultStmt->close();

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Student Result</title>
    <style>
        /* Add your CSS styles here */
        body {
            text-align: center;
            text-transform:uppercase;
        }

        .certificate-container {
            position: relative;
            width: 100%;
            max-width: 800px;
            margin: 0 auto;
        }

        img.certificate {
            width: 100%;
            height: auto;
            display: block;
        }

        #qrcode-container {
            position: absolute;
           bottom: 6.8%;
    display: inline-block !important;
    left: 50%;
            transform: translate(-40%, -120%);
            text-transform: uppercase;

        }

        #qrcode-container img {
            position: absolute;
           bottom: 6.8%;
    display: inline-block !important;
    left: 50%;
            transform: translate(-40%, -120%);
            text-transform: uppercase;

        }


        .name {
            position: absolute;
            top: 26.8%;
            left: 36%;
            transform: translate(-40%, -100%);
            text-transform: uppercase;

        }

        .father {
            position: absolute;
            top: 28.2%;
            left: 35.3%;
            transform: translate(-12%, -100%);
            text-transform: uppercase;

        }

        .mother {
            position: absolute;
            top: 31.6%;
            left: 35.6%;
            transform: translate(-16%, -100%);
            text-transform: uppercase;

        }

        .course {
            position: absolute;
            top: 33.8%;
            left: 43%;
            transform: translate(-10%, -128%);
            text-transform: uppercase;
            width: 100%;
        }

        .sitename {
            position: absolute;
            top: 35.5%;
            left: 44.4%;
            transform: translate(-40%, -60%);
            text-transform: uppercase;

        }

        .duration {
            position: absolute;
            top: 25.9%;
            left: 75%;
            transform: translate(-40%, -60%);
            text-transform: uppercase;

        }

        .id {
            position: absolute;
            top: 27.5%;
            left: 77.5%;
            transform: translate(-40%, -60%);
            text-transform: uppercase;
        }

        .dob {
            position: absolute;
            top: 28.8%;
            left: 75%;
            transform: translate(-40%, -45%);
            text-transform: uppercase;
        }

        .course-period {
            position: absolute;
           top: 31.4%;
    left: 75%;
            transform: translate(-16%, -45%);
            text-transform: uppercase;
font-size: 14px;
        }

        /*tabledesign start*/
        .table1 {
            text-align: center;
            position: absolute;
            top: 61.5%;
            left: 41%;
            transform: translate(-40%, -60%);
            text-transform: uppercase;
        }

        .tdesc {
            text-align: center;
            position: absolute;
            top: 74.5%;
            left: 41%;
            transform: translate(-40%, -60%);
            text-transform: uppercase;

        }

        thead {
            border: 2px solid black;
            font-size: 12px;
        }

        thead tr {
            border-bottom: 1px solid black;
        }

        tbody tr {
            border-bottom: 1px solid black;
        }

        td,
        th {
            padding: 8px;
        }

        td:nth-child(-n+4),
        th:nth-child(-n+4) {
            border-right: 1px solid black;
        }

        td:last-child {
            border-right: none;
        }

        .toprow-performance {
            font-size: 12px;
        }

        .marks-range {
            font-size: 10px;
        }

        .graderow {
            font-size: 10px;
        }

        .tfont {
            font-size: 10px;
        }

        /*tabledesign end*/
    </style>

</head>

<body>
    <!-- Display the certificate image -->

    <div class="certificate-container">
        <!-- Container for the QR code -->
        <div id="qrcode-container"></div>


        <img src="<?php echo $imagePath; ?>" alt="Certificate" class="certificate">
        <p class="name">
            <?php echo $name; ?>
        </p>
        <p class="father">
            <?php echo $father; ?>
        </p>
        <p class="mother">
            <?php echo $mother; ?>
        </p>
        <p class="course">
            <?php echo $awards ?> In
            <?php echo $course ?>
        </p>
        <?php
        $logoSql = "SELECT * FROM logo";
        $logoResult = mysqli_query($db, $logoSql);
        $logoRow = mysqli_fetch_assoc($logoResult);

        ?>
        <p class="sitename">
            <?php echo $logoRow['sitename'] ?>
        </p>
        <p class="duration">
            <?php echo $duration; ?> Months
        </p>
        <p class="id">
            <?php echo $regno; ?>
        </p>
        <p class="dob">
            <?php echo $dob; ?>
        </p>
        <p class="course-period">
            <?php
            $ddate ;

            $duration ;

            $startDate = new DateTime($ddate);

            $endDate = clone $startDate;
            $endDate->modify("-{$duration} months");

            // Format the dates
$formattedEndDate = $endDate->format("j F Y");
$formattedStartDate = $startDate->format("j F Y");

// Display the formatted dates
echo $formattedEndDate . " To " . $formattedStartDate;

            ?>
        </p>
        <?php
        if ($occupation == 1) {
            echo '<table border="2" width="75%" class="table1">
    <thead>
        <tr>
            <th>Subject</th>
            <th>Speed W.P.M</th>
            <th>Minimum Marks</th>
            <th>Maximum Marks</th>
            <th>Accuracy</th>
        </tr>
    </thead>
    <tbody>';

            $subjects = explode(',', $coursesubject);
            $wdpm = explode(',', $signature);
            $totalMarks = explode(',', $tmarks);
            $marksObtained = explode(',', $marksob);

            $numberOfSubjects = count($subjects);
            $totalObtainedMarks = 0;
            $totalPossibleMarks = 0;

            function fetchMarksForSubject($subject, $db)
            {
                $subject = mysqli_real_escape_string($db, $subject);

                $sql = "SELECT marks FROM subjects WHERE subjectname = '$subject'";
                $result = mysqli_query($db, $sql);

                if ($result) {
                    $row = mysqli_fetch_assoc($result);

                    return ($row !== null) ? $row['marks'] : null;
                } else {
                    return null;
                }
            }

            $totalPossibleMarks = 0;

            for ($i = 0; $i < $numberOfSubjects; $i++) {
                $subject = trim($subjects[$i]);
                $subjectMarks = fetchMarksForSubject($subject, $db);

                $subjectMarks = ($subjectMarks !== null) ? $subjectMarks : 100;

                $totalPossibleMarks += is_numeric($subjectMarks) ? $subjectMarks : 0;
            }
            // Create an array to store unique subjects and their maximum marks
            $uniqueSubjects = [];

            for ($i = 0; $i < $numberOfSubjects; $i++) {
                $subject = trim($subjects[$i]);

                // Check if subject is already processed
                if (!isset($uniqueSubjects[$subject])) {
                    // Fetch and display maximum marks for the current subject
                    $maximumMarks = fetchMarksForSubject($subject, $db);
                    $uniqueSubjects[$subject] = $maximumMarks;

                    echo '<tr>';
                    echo '<td>' . $subject . '</td>';
                    echo '<td>' . (isset($wdpm[$i]) ? $wdpm[$i] : '') . '</td>';
                    echo '<td>' . (isset($totalMarks[$i]) ? $totalMarks[$i] : '') . '</td>';
                    echo '<td class="text-end">' . (isset($maximumMarks) ? $maximumMarks : '') . '</td>';
                    echo '<td class="text-end">' . (isset($marksObtained[$i]) ? $marksObtained[$i] : '') . '</td>';
                    $totalObtainedMarks += isset($marksObtained[$i]) ? intval($marksObtained[$i]) : 0;
                    echo '</tr>';
                }
            }

            // Calculate the percentage
            $overallPercentage = ($totalObtainedMarks / $totalPossibleMarks) * 100;

            echo '<tr>
    <td class="text-end" colspan="4"><strong>Total Out Of :
        ' . $totalPossibleMarks . '
    </strong></td>
    <td class="text-end"><strong class="tfont">
        ' . $totalObtainedMarks . ' (
        ' . round($overallPercentage, 2) . '%)
    </strong></td>
</tr>
</tbody>
</table>';

        } else {
            echo '<table border="2" width="75%" class="table1">
        <thead>
            <tr>
                <th>Subject</th>
                <th>Practical Marks</th>
                <th>Objective Marks</th>
                <th>Total Marks</th>
            </tr>
        </thead>
        <tbody>';

            $subjects = explode(',', $coursesubject);
            $totalMarks = explode(',', $tmarks);
            $marksObtained = explode(',', $marksob);

            $numberOfSubjects = count($subjects);
            $totalObtainedMarks = 0;
            $totalPossibleMarks = 0;

            function fetchMarksForSubject($subject, $db)
            {
                $subject = mysqli_real_escape_string($db, $subject);

                $sql = "SELECT marks FROM subjects WHERE subjectname = '$subject'";
                $result = mysqli_query($db, $sql);

                if ($result) {
                    $row = mysqli_fetch_assoc($result);

                    return ($row !== null) ? $row['marks'] : null;
                } else {
                    return null;
                }
            }

            $totalPossibleMarks = 0;

            for ($i = 0; $i < $numberOfSubjects; $i++) {
                $subject = trim($subjects[$i]);
                $subjectMarks = fetchMarksForSubject($subject, $db);

                $subjectMarks = ($subjectMarks !== null) ? $subjectMarks : 100;

                $totalPossibleMarks += is_numeric($subjectMarks) ? $subjectMarks : 0;
            }

            for ($i = 0; $i < $numberOfSubjects; $i++) {
                echo '<tr>';
                echo '<td>' . (isset($subjects[$i]) ? $subjects[$i] : '') . '</td>';
                echo '<td>' . (isset($totalMarks[$i]) ? $totalMarks[$i] : '') . '</td>';
                echo '<td class="text-end">' . (isset($marksObtained[$i]) ? $marksObtained[$i] : '') . '</td>';
                $totalMarksValue = isset($totalMarks[$i]) ? intval($totalMarks[$i]) : 0;
                $marksObtainedValue = isset($marksObtained[$i]) ? intval($marksObtained[$i]) : 0;
                $totalValue = $totalMarksValue + $marksObtainedValue;
                echo '<td class="text-end">' . $totalValue . '</td>';

                $totalObtainedMarks += $totalValue;
                echo '</tr>';
            }

            // Calculate the percentage
            $overallPercentage = ($totalObtainedMarks / $totalPossibleMarks) * 100;

            echo '<tr>
            <td class="text-end" colspan="3"><strong>Total Out Of :
                ' . $totalPossibleMarks . '
            </strong></td>
            <td class="text-end"><strong class="tfont">
                ' . $totalObtainedMarks . ' (
                ' . round($overallPercentage, 2) . '%)
            </strong></td>
        </tr>
    </tbody>
</table>';
        }
        ?>

        <table border="2" width="75%" class="tdesc">
            <tr>

                <td>
                    <div class="col-md-12">
                        <div class="row">

                            <div class="col-md-3 toprow-performance">
                                Performance:
                            </div>
                            <div class="col-md-2 toprow-performance">
                                Excellent
                            </div>
                            <div class="col-md-3 toprow-performance">
                                Very Good
                            </div>
                            <div class="col-md-2 toprow-performance">
                                Good
                            </div>
                            <div class="col-md-2 toprow-performance">
                                Average
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="row">

                            <div class="col-md-3 marks-range">
                                Mark Range:
                            </div>
                            <div class="col-md-2 marks-range">
                                (85% - 100%)
                            </div>
                            <div class="col-md-3 marks-range">
                                (70% - 84%)
                            </div>
                            <div class="col-md-2 marks-range">
                                (55% - 69%)
                            </div>
                            <div class="col-md-2 marks-range">
                                (40% - 54 %)
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="row">

                            <div class="col-md-3 graderow">
                                Grade:
                            </div>
                            <div class="col-md-2 graderow">
                                (A+)
                            </div>
                            <div class="col-md-3 graderow">
                                (A)
                            </div>
                            <div class="col-md-2 graderow">
                                (B)
                            </div>
                            <div class="col-md-2 graderow">
                                (C)
                            </div>
                        </div>
                    </div>
                </td>
            </tr>
        </table>

    </div>
</body>
<script src="assets/qrcodejs-master/qrcode.min.js"></script>
<script>
    var url = "https://mrcomputercenter.in/generate-result.php?idresult=<?php echo $studentname; ?>";

    var qrcode = new QRCode(document.getElementById("qrcode-container"), {
        text: url,
        width: 70,
        height: 70,
    });
</script>

<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
    crossorigin="anonymous"></script>

</html>