<?php include 'header.php' ?>
<?php
include 'config.php';
$sql = "SELECT * FROM socialinks";
$result = mysqli_query($db, $sql);

if (mysqli_num_rows($result) > 0) {
    $getAllSlider = mysqli_fetch_all($result, MYSQLI_ASSOC);
} else {
    $getAllSlider = array();
}
// Insertion Logic
if (isset($_POST['saveSliderBtn'])) {
    $flink = ucwords($_POST['flink']);
    $ilink = ucwords($_POST['ilink']);
    $ylink = ucwords($_POST['ylink']);
    $linkedin = ucwords($_POST['linkedin']);
    $telegram = ucwords($_POST['telegram']);
    $twitter = ucwords($_POST['twitter']);
    $address = ucwords($_POST['address']);
    $email = ucwords($_POST['email']);
    $phone = ucwords($_POST['phone']);
    $wno = ucwords($_POST['wno']);
    $iframe = ucwords($_POST['iframe']);
    $city = ucwords($_POST['city']);

    // Check if a row already exists in the socialinks table
    $checkSql = "SELECT COUNT(*) FROM socialinks";
    $checkResult = mysqli_query($db, $checkSql);
    $existingCount = mysqli_fetch_row($checkResult)[0];

    if ($existingCount == 0) {
        // Row doesn't exist, proceed with insertion
        $sql = "INSERT INTO socialinks (flink, ilink, ylink,linkedin,telegram,twitter,phone,wno,email,address,city, iframe , added_on) VALUES (?, ? ,? ,? ,? , ?, ? , ? , ? , ? , ?, ?, current_timestamp())";

        $stmt = mysqli_prepare($db, $sql);

        mysqli_stmt_bind_param($stmt, "ssssssssssss", $flink, $ilink, $ylink,$linkedin,$telegram,$twitter, $phone, $wno ,$email, $address, $city ,$iframe);

        if (mysqli_stmt_execute($stmt)) {
            echo '<script>alert("Social Information added successfully");window.location.href="social-links.php"</script>';
        } else {
            echo '<script>alert("Something went wrong, Please try again.");window.location.href="social-links.php"</script>';
        }

        // Close the statement
        mysqli_stmt_close($stmt);
    } else {
        // Row exists, alert the message
        echo '<script>alert("You Can Update The Information.");</script>';
    }
}
// Update Logic
if (isset($_POST['updateFilmBtn'])) {
    $idEdID = $_POST['id'];
    $ilink = mysqli_real_escape_string($db, $_POST['ilink']);
    $ylink = mysqli_real_escape_string($db, $_POST['ylink']);
    $flink = mysqli_real_escape_string($db, $_POST['flink']);
    $linkedin = mysqli_real_escape_string($db, $_POST['linkedin']);
    $telegram = mysqli_real_escape_string($db, $_POST['telegram']);
    $twitter = mysqli_real_escape_string($db, $_POST['twitter']);
    $phone = mysqli_real_escape_string($db, $_POST['phone']);
    $email = mysqli_real_escape_string($db, $_POST['email']);
    $address = mysqli_real_escape_string($db, $_POST['address']);
    $wno = mysqli_real_escape_string($db, $_POST['wno']);
    $iframe = mysqli_real_escape_string($db, $_POST['iframe']);
    $city = mysqli_real_escape_string($db, $_POST['city']);

    $storyId = mysqli_real_escape_string($db, $idEdID);


    $updateSql = "UPDATE socialinks SET flink = ?, ilink = ?, ylink = ?,linkedin = ?, telegram = ?, twitter = ?, phone = ?, wno = ? , email = ?, address = ?, city = ? ,iframe = ? WHERE id = ?";
    $stmt = mysqli_prepare($db, $updateSql);

    if ($stmt) {
        mysqli_stmt_bind_param($stmt, "ssssssssssssi", $flink, $ilink, $ylink,$linkedin,$telegram,$twitter, $phone, $wno ,$email, $address, $city, $iframe , $storyId);
        if (mysqli_stmt_execute($stmt)) {
            echo '<script>
                  alert("Record has been updated successfully.");
                  setTimeout(function() {
                      window.location.href = "social-links.php";
                  }, 100); 
              </script>';
            exit();
        } else {
            echo '<script>
                  alert("Error updating the record in the database.");
                  setTimeout(function() {
                      window.location.href = "social-links.php";
                  }, 100); 
              </script>';
            exit();
        }
    } else {
        echo '<script>
              alert("Error preparing the update statement.");
              setTimeout(function() {
                  window.location.href = "social-links.php";
              }, 100); 
          </script>';
        exit();
    }
}


?>
<!-- Content wrapper -->
<div class="content-wrapper">
    <!-- Content -->
    <div class="container-fluid">
        <div class="row">

            <div class="col-md-12">
                <div class="card card-primary card-outline">
                <?php
        if (isset($_GET['idEdit']) && !empty($_GET['idEdit'])) {
            $idEdit = $_GET['idEdit'];

            $filmId = mysqli_real_escape_string($db, $idEdit);
            $sql = "SELECT * FROM socialinks WHERE id = $filmId";
            $result = mysqli_query($db, $sql);

            if ($result && mysqli_num_rows($result) > 0) {
                $getFilmEdit = mysqli_fetch_assoc($result);
            }
            ?>
            <div class="card mb-4">

                <div class="card-header d-flex justify-content-center align-items-center">
                    <h5 class="mb-0">Update Social Info</h5>
                </div>
                <div class="card-body">

                    <form action="" method="post">
                        <input type="hidden" name="id" value="<?php echo $getFilmEdit['id']; ?>">
                        <div class="row">

                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-fullname">Facebook Link</label>
                                    <div class="input-group input-group-merge">

                                        <input type="text" class="form-control" id="basic-icon-default-fullname"
                                            name="flink" value="<?php echo $getFilmEdit['flink']; ?>" />

                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-company">Instagram Link</label>
                                    <input type="text" id="basic-icon-default-company" class="form-control"
                                        name="ilink" value="<?php echo $getFilmEdit['ilink']; ?>" />

                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-company">Youtube Link</label>
                                    <input type="text" id="basic-icon-default-company" class="form-control" name="ylink"
                                        value="<?php echo $getFilmEdit['ylink']; ?>" />

                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-fullname">Linkedin</label>
                                    <div class="input-group input-group-merge">

                                        <input type="text" class="form-control" id="basic-icon-default-fullname"
                                            name="linkedin" value="<?php echo $getFilmEdit['linkedin']; ?>" />

                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-company">Twitter</label>
                                    <input type="text" id="basic-icon-default-company" class="form-control"
                                        name="twitter" value="<?php echo $getFilmEdit['twitter']; ?>" />

                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-company">Telegram</label>
                                    <input type="text" id="basic-icon-default-company" class="form-control" name="telegram"
                                        value="<?php echo $getFilmEdit['telegram']; ?>" />

                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-company">Phone Number</label>
                                    <input type="text" id="basic-icon-default-company" class="form-control" name="phone"
                                        value="<?php echo $getFilmEdit['phone']; ?>" />

                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-company">Whatsupp Number</label>
                                    <input type="text" id="basic-icon-default-company" class="form-control" name="wno"
                                        value="<?php echo $getFilmEdit['wno']; ?>" />

                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-company">Email </label>
                                    <input type="text" id="basic-icon-default-company" class="form-control" name="email"
                                        value="<?php echo $getFilmEdit['email']; ?>" />

                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-company">City </label>
                                    <input type="text" id="basic-icon-default-company" class="form-control" name="city"
                                        value="<?php echo $getFilmEdit['city']; ?>" />

                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-company">Address </label>
                                    <input type="text" id="basic-icon-default-company" class="form-control" name="address"
                                        value="<?php echo $getFilmEdit['address']; ?>" />

                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-company">Map Iframe (Width = "100%")</label>
                                    
                                    <textarea name="iframe" id="" cols="30" rows="10" class="form-control">
                                    <?php echo stripslashes($getFilmEdit['iframe']); ?>
                                    </textarea>
                                   

                                </div>
                            </div>
                            
                        </div>

                        <div class="card-footer">
                            <button type="submit" name="updateFilmBtn" class="btn btn-info float-right"><i
                                    class="fa fa-floppy-o"></i> Update</button>
                            <a href="social-links.php" class="btn btn-default"><i class="fa fa-refresh"></i> Reset</a>
                        </div>
                    </form>
                </div>
            </div>
        <?php } else { ?>
                    <div class="card-header" data-card-widget="collapse">
                        <h3 class="card-title">Create Social Links</h3>

                        <div class="card-tools">
                            <button type="button" class="btn btn-tool">
                                <i class="fas fa-plus"></i>
                            </button>
                        </div>
                    </div>
                    <div class="card-body p-4" style="display: block;;">
                        <form action="" method="post">

                            <div class="row">

                                <div class="form-group col-md-4">
                                    <label>Facebook Link</label>
                                    <input type="text" class="form-control" name="flink">

                                </div>
                                <div class="form-group col-md-4">
                                    <label>Instagram Link</label>
                                    <input type="text" class="form-control" name="ilink">
                                </div>
                                <div class="form-group col-md-4">
                                    <label>Youtube Link</label>
                                    <input type="text" class="form-control" name="ylink">
                                </div>
                                <div class="form-group col-md-4">
                                    <label>Linkedin</label>
                                    <input type="text" class="form-control" name="linkedin">

                                </div>
                                <div class="form-group col-md-4">
                                    <label>Telegram</label>
                                    <input type="text" class="form-control" name="telegram">
                                </div>
                                <div class="form-group col-md-4">
                                    <label>Twitter</label>
                                    <input type="text" class="form-control" name="twitter">
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Phone Number</label>
                                    <input type="text" class="form-control" name="phone" required>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Whatsupp Number</label>
                                    <input type="text" class="form-control" name="wno" >
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Email</label>
                                    <input type="text" class="form-control" name="email" required>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>City</label>
                                    <input type="text" class="form-control" name="city" required>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Address</label>
                                    <input type="text" class="form-control" name="address" required>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Map Iframe (Width = "100%")</label>
                                    
                                    <input type="text" class="form-control" name="iframe" required>
                                </div>


                            </div>
                    </div>
                    <div class="card-footer">
                        <button type="submit" name="saveSliderBtn" class="btn btn-info float-right"><i
                                class="fa fa-floppy-o">
                            </i> Save</button>
                        <a href="social-links.php" class="btn btn-default"><i class="fa fa-refresh"> </i> Reset</a>
                    </div>
                    </form>
                </div>



                <div class="card card-primary card-outline">
                    <div class="card-header">
                        <h3 class="card-title">View Menus</h3>
                    </div>
                    <form action="" method="post" enctype="multipart/form-data">
                        <div class="card-body table-responsive p-0" style="min-height: 300px;">
                            <table class="table table-head-fixed text-nowrap">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Facebook Link</th>
                                        <th>Phone</th>
                                        <th>Email</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $iiDD = 1;
                                    foreach ($getAllSlider as $key => $values) { ?>
                                        <tr>
                                            <td>
                                                <?php echo $iiDD++; ?>
                                            </td>
                                            <td>
                                                <?php echo $values['flink']; ?>
                                            </td>
                                            <td>
                                                <?php echo $values['phone']; ?>
                                            </td>
                                            <td>
                                                <?php echo $values['email']; ?>
                                            </td>



                                            <td>
                                                <div class="dropdown">
                                                    <button type="button" class="btn p-0 dropdown-toggle hide-arrow"
                                                        data-bs-toggle="dropdown"><i
                                                            class="bx bx-dots-vertical-rounded"></i></button>
                                                    <div class="dropdown-menu">
                                                    <a href="social-links.php?idEdit=<?php echo $row['id']; ?>" class="dropdown-item"
                                                title="Update"><i class="bx bx-edit-alt me-1"></i>Edit</a>
                                                        
                                                    </div>
                                                </div>
                                            </td>

                                        </tr>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>
                    </form>
                </div>
                <?php } ?>
            </div>
        </div>
       
        <?php include 'footer.php' ?>