<?php
include 'config.php';

// Fetch the idimage file name from the database
$stmt = $db->prepare("SELECT idimage FROM design");
$stmt->execute();
$stmt->bind_result($cimageFileName);
$stmt->fetch();
$stmt->close();

$imagePath = "assets/certificatedesign/" . $cimageFileName;

// Fetch student data
if (isset($_GET['idEdit']) && !empty($_GET['idEdit'])) {
    $idEdit = $_GET['idEdit'];

    $filmId = mysqli_real_escape_string($db, $idEdit);
    $sql = "SELECT * FROM students WHERE id = $filmId";
    $result = mysqli_query($db, $sql);

    if ($result && mysqli_num_rows($result) > 0) {
        $getFilmEdit = mysqli_fetch_assoc($result);

        $stmt = $db->prepare("SELECT idimage FROM design");
        $stmt->execute();
        $stmt->bind_result($cimage);
        $stmt->fetch();
        $stmt->close();
    }
}
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Student ID Card</title>
    <style>
        /* Add your CSS styles here */
        body {
            text-align: center;
            text-transform:uppercase;
        }

        .certificate-container {
            position: relative;
            width: 100%;
            max-width: 800px;
            margin: 0 auto;
        }

        img.certificate {
            width: 33%;
            height: 100%;
            display: block;
        }

        img.student {
            position: absolute;
    top: 64%;
    left: 16%;
    transform: translate(-40%, -135%);
    width: 120px;
    height: 114px;
        }

        .name {
           position: absolute;
    top: 60.3%;
    left: 16%;
    transform: translate(-40%, -185%);
    font-size: 13px;
    text-transform: uppercase;
        }

        .course {
            position: absolute;
            top: 64.5%;
    left: 20%;
    font-size: 7px;
            transform: translate(-40%, -185%);
            text-transform: uppercase;
            font-weight: 600;
        }

        .mobile {

            position: absolute;
               top: 67%;
    left: 18.6%;
            transform: translate(-40%, -80%);
            text-transform: uppercase;
            font-weight: 500;
            font-size: 14px;
        }

        .roll {
            position: absolute;
            top: 56%;
    left: 7%;
            transform: translate(-25%, 320%);
            text-transform: uppercase;
            font-size: 14px;
        }
    </style>

</head>

<body>
    <!-- Display the certificate image -->

    <div class="certificate-container">


        <img src="<?php echo $imagePath; ?>" alt="Certificate" class="certificate">
        <img src="assets/students/<?php echo $getFilmEdit['image']; ?>" class="student">
        <p class="name">
            <?php echo $getFilmEdit['name']; ?>
        </p>
        <p class="course">
            <?php echo $getFilmEdit['awards']; ?> In <?php echo $getFilmEdit['course']; ?>
        </p>
        <p class="mobile">
            <?php echo $getFilmEdit['mobile']; ?>
        </p>
        <p class="roll">
           <b>Roll No.:</b> 
            <?php echo $getFilmEdit['regno']; ?>
        </p>
    </div>
</body>

</html>