<?php include_once('include/header.php'); ?>
<?php
include 'admin/config.php';

// Get the requested URL
$current_url = $_SERVER['REQUEST_URI'];

$parts = explode('/', $current_url);
$productname = end($parts);
$productname = urldecode($productname);

$sql = "SELECT * FROM pagedetails WHERE pagemenu = ?";
$stmt = $db->prepare($sql);
$stmt->bind_param("s", $productname);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows > 0) {
	$row = $result->fetch_assoc();
	?>
<main class="main-area fix">

    <!-- breadcrumb-area -->
    <section class="breadcrumb__area breadcrumb__bg" data-background="assets/img/bg/breadcrumb_bg.jpg">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="breadcrumb__content">
                        <h3 class="title"><?php echo htmlspecialchars($row["title"]); ?></h3>
                        <nav class="breadcrumb">
                            <span property="itemListElement" typeof="ListItem">
                                <a href="index.html" class="text-decoration-none">Home</a>
                            </span>
                            
                            <span class="breadcrumb-separator"><i class="fas fa-angle-right"></i></span>
                            <span property="itemListElement" typeof="ListItem"><?php echo htmlspecialchars($row["pagemenu"]); ?></span>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
        <div class="breadcrumb__shape-wrap">
            <img src="assets/img/others/breadcrumb_shape01.svg" alt="img" class="alltuchtopdown">
            <img src="assets/img/others/breadcrumb_shape02.svg" alt="img" data-aos="fade-right" data-aos-delay="300">
            <img src="assets/img/others/breadcrumb_shape03.svg" alt="img" data-aos="fade-up" data-aos-delay="400">
            <img src="assets/img/others/breadcrumb_shape04.svg" alt="img" data-aos="fade-down-left"
                data-aos-delay="400">
            <img src="assets/img/others/breadcrumb_shape05.svg" alt="img" data-aos="fade-left" data-aos-delay="400">
        </div>
    </section>
    <!-- breadcrumb-area-end -->

    <!-- blog-details-area -->
    <section class="blog-details-area section-py-120">
        <div class="container">
            <div class="row">
                <div class="col-xl-9 col-lg-8">
                    <div class="blog__details-wrapper">
                        <?php

                        echo isset($row["description"]) ? $row["description"] : 'Page Details Not Found';
                        ?>
                    </div>

                </div>
                <div class="col-xl-3 col-lg-4">
                    <aside class="blog-sidebar">

                        <div class="blog-widget">
                            <h4 class="widget-title">About Us</h4>
                            <div class="shop-cat-list">
                                <ul class="list-wrap">
                                    <?php
                                    include('admin/config.php');

                                    $aboutUsSubMenuQuery = "SELECT submenu FROM menus";
                                    $aboutUsSubMenuResult = mysqli_query($db, $aboutUsSubMenuQuery);
                                    while ($roww = mysqli_fetch_assoc($aboutUsSubMenuResult)) {
                                        $submenu = $roww['submenu'];
                                        $encodedSubmenu = urlencode($submenu);
                                        echo '<li>';
                                        echo '<a href="page-detail.php/' . $encodedSubmenu . '" class="text-decoration-none">' . $submenu . '</a>';
                                        echo '</li>';
                                    }
                                    ?>
                                </ul>
                            </div>
                        </div>

                    </aside>
                </div>
            </div>
        </div>
    </section>
    <!-- blog-details-area-end -->

</main>
<!-- main-area-end -->
<?php
} else {
	?>
	<main class="main-area fix">

<!-- breadcrumb-area -->
<section class="breadcrumb__area breadcrumb__bg" data-background="assets/img/bg/breadcrumb_bg.jpg">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="breadcrumb__content">
                    <h3 class="title"><?php echo $productname ?></h3>
                    <nav class="breadcrumb">
                        <span property="itemListElement" typeof="ListItem">
                            <a href="index.html" class="text-decoration-none">Home</a>
                        </span>
                        
                        <span class="breadcrumb-separator"><i class="fas fa-angle-right"></i></span>
                        <span property="itemListElement" typeof="ListItem"><?php echo $productname ?></span>
                    </nav>
                </div>
            </div>
        </div>
    </div>
    <div class="breadcrumb__shape-wrap">
        <img src="assets/img/others/breadcrumb_shape01.svg" alt="img" class="alltuchtopdown">
        <img src="assets/img/others/breadcrumb_shape02.svg" alt="img" data-aos="fade-right" data-aos-delay="300">
        <img src="assets/img/others/breadcrumb_shape03.svg" alt="img" data-aos="fade-up" data-aos-delay="400">
        <img src="assets/img/others/breadcrumb_shape04.svg" alt="img" data-aos="fade-down-left"
            data-aos-delay="400">
        <img src="assets/img/others/breadcrumb_shape05.svg" alt="img" data-aos="fade-left" data-aos-delay="400">
    </div>
</section>
<!-- breadcrumb-area-end -->

<!-- blog-details-area -->
<section class="blog-details-area section-py-120">
    <div class="container">
        <div class="row">
            <div class="col-xl-9 col-lg-8">
                <div class="blog__details-wrapper">
                Page Details Not Found
                </div>

            </div>
            <div class="col-xl-3 col-lg-4">
                <aside class="blog-sidebar">

                    <div class="blog-widget">
                        <h4 class="widget-title">About Us</h4>
                        <div class="shop-cat-list">
                            <ul class="list-wrap">
                                <?php
                                include('admin/config.php');

                                $aboutUsSubMenuQuery = "SELECT submenu FROM menus";
                                $aboutUsSubMenuResult = mysqli_query($db, $aboutUsSubMenuQuery);
                                while ($roww = mysqli_fetch_assoc($aboutUsSubMenuResult)) {
                                    $submenu = $roww['submenu'];
                                    $encodedSubmenu = urlencode($submenu);
                                    echo '<li>';
                                    echo '<a href="page-detail.php/' . $encodedSubmenu . '" class="text-decoration-none">' . $submenu . '</a>';
                                    echo '</li>';
                                }
                                ?>
                            </ul>
                        </div>
                    </div>

                </aside>
            </div>
        </div>
    </div>
</section>
<!-- blog-details-area-end -->

</main>
	<?php
}

$stmt->close();
include_once('include/footer.php');
?>