<?php
include_once('include/header.php');
include_once('admin/config.php');

$registrationMessage = '';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
	$registrationNumber = $_POST['studentname'];

	$query = "SELECT * FROM result WHERE studentname = ?";
	$stmt = $db->prepare($query);

	if ($stmt) {
		$stmt->bind_param("s", $registrationNumber);
		$stmt->execute();
		$result = $stmt->get_result();
		$studentData = $result->fetch_assoc();

		if ($studentData) {
			echo "<script>
                window.location.href = 'generate-result.php?idresult=" . $studentData['studentname'] . "';
            </script>";
			exit();
		} else {
			$registrationMessage = '<p><ul>
                <li>Your Result is Not out yet!</li>
                <li>Wrong Registration Number</li>
                <li class="text-danger">Please Enter Correct Registration Number</li>
            </ul>.</p>';
		}

		$stmt->close();
	} else {
		echo "Error in the statement.";
	}
}

?>
    <main class="main-area fix">

        <!-- breadcrumb-area -->
        <section class="breadcrumb__area breadcrumb__bg" data-background="assets/img/bg/breadcrumb_bg.jpg">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="breadcrumb__content">
                            <h3 class="title">Verify Certificate</h3>
                            <nav class="breadcrumb">
                                <span property="itemListElement" typeof="ListItem">
                                    <a href="index.php" class="text-decoration-none">Home</a>
                                </span>
                                <span class="breadcrumb-separator"><i class="fas fa-angle-right"></i></span>
                                <span property="itemListElement" typeof="ListItem">Verify Certificate</span>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
            <div class="breadcrumb__shape-wrap">
                <img src="assets/img/others/breadcrumb_shape01.svg" alt="img" class="alltuchtopdown">
                <img src="assets/img/others/breadcrumb_shape02.svg" alt="img" data-aos="fade-right" data-aos-delay="300">
                <img src="assets/img/others/breadcrumb_shape03.svg" alt="img" data-aos="fade-up" data-aos-delay="400">
                <img src="assets/img/others/breadcrumb_shape04.svg" alt="img" data-aos="fade-down-left" data-aos-delay="400">
                <img src="assets/img/others/breadcrumb_shape05.svg" alt="img" data-aos="fade-left" data-aos-delay="400">
            </div>
        </section>
        <!-- breadcrumb-area-end -->

        <!-- singUp-area -->
        <section class="singUp-area section-py-120">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-xl-6 col-lg-8">
                        <div class="singUp-wrap">
                            <h2 class="title">Verify Your Certificate!</h2>
                           <?php echo $registrationMessage; ?>
                            <form action="" method="post" class="account__form">
                                <div class="form-grp">
                                    <label for="email">Enter Registeration Number</label>
                                    <input type="text" name="studentname" id="regno" class="form-control"
                                         required>
                                </div>
                               
                                <button type="submit" class="btn btn-two arrow-btn">Verify<img src="assets/img/icons/right_arrow.svg" alt="img" class="injectable"></button>
                            </form>
                            
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- singUp-area-end -->

    </main>
    <!-- main-area-end -->
<?php include 'include/footer.php' ?>